#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXT_XPDFTOOLS .. $*

# order of image libraries in cascade-make taken from
# http://trac.greenstone.org/browser/gs2-extensions/ocr/trunk/packages/cmdline/CASCADE-MAKE.sh
#PACKAGES="CMAKE LIBZ LIBPNG FREETYPE XPDFTOOLS"
PACKAGES="CMAKE LIBZ LIBTIFF LIBPNG LIBJPEG FREETYPE XPDFTOOLS"

for d in $PACKAGES ; do
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done
